Prevent username from overlapping in mobile menu

2016-02-17 23:30 - Felix Gliesche

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 3.2.1   

Description

Under certain cirumstances the username shown in the mobile menu can break into another line overlapping the next menu item. For

example if the username is too long and contains a '-':
I am attaching a patch which fixes this behaviour by avoiding line breaks and by adding text-overflow: ellipsis
Associated revisions

Revision 15210 - 2016-03-12 11:18 - Jean-Philippe Lang

Prevent username from overlapping in mobile menu (#22074).

Patch by Felix Gliesche.

Revision 15211 - 2016-03-12 11:19 - Jean-Philippe Lang

Expand username to cover whole line in mobile menu (#22074).

Patch by Gregor Schmidt.

Revision 15212 - 2016-03-12 11:20 - Jean-Philippe Lang

Merged r15211 (#22074).

Revision 15213 - 2016-03-12 11:21 - Jean-Philippe Lang

Merged r15211 (#22074).

History

#1 - 2016-02-18 00:38 - Go MAEDA

- Target version set to 3.2.1

The fix works fine for me. Setting target version to 3.2.1.

#2 - 2016-02-19 16:07 - Gregor Schmidt

- File 0002-Expand-username-to-cover-whole-line-in-mobile-menu.patch added

- File screen-capture-30.png added

Sorry for hijacking this issue, but my problem is related.

If the user name is really short, e.g. a single letter, the menu entry does not cover the whole width, in contrast to the other menu entries. This makes

touching the link needlessly complicated.
screen-capture-30.png 

The second attached patch expands the user name link to cover the whole line.

#3 - 2016-03-12 11:21 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang
Both patches are merged in 3.2, thanks.

Files

after.png 100 KB 2016-02-17 Felix Gliesche

before.png 101 KB 2016-02-17 Felix Gliesche

0001-Prevent-username-from-overlapping-in-mobile-menu.patch 760 Bytes 2016-02-17 Felix Gliesche

0002-Expand-username-to-cover-whole-line-in-mobile-menu.patch 744 Bytes 2016-02-19 Gregor Schmidt

screen-capture-30.png 16.8 KB 2016-02-19 Gregor Schmidt
